{WColor Black}
{Size 240%, Style BI, Color #ffffff, Indent 80}History
{Size 140%, Style Bi, Color #8080ff, Indent 240, Offset 120}0.97a:
{Size 100%, Style bi, Color #c0c0c0, Bullet 1}
CS now sends the right character count for locally edited files (Mume).
Command separator chars inside quotes don't split commands.
Deleting a list item prompts the right item name.
Aliases are recursive, but with {Style I}no loop protection{Style i} !
{Size 140%, Style Bi, Color #8080ff, Bullet 0}0.97b:
{Size 100%, Style bi, Color #c0c0c0, Bullet 1}
Added a simple help system. Users can add customized help topics if needed.
Note windows with grabbing to selected note.
Notes and lists are closable.
Searching the session window is available through the FIND/IFIND/FINDNEXT commands. Bind these commands to your favourite search-key for quick access! Searching will lock the session windows from scrolling - press Control+End or ScrollLock to re-enable scrolling.
Pressing shift while selecting an area in the session window prevents the selected text from being copied to the input window.
Word wrap works (or rather, turning it off works).
{Size 140%, Style Bi, Color #8080ff, Bullet 0}0.97c:
{Size 100%, Style bi, Color #c0c0c0, Bullet 1}
The MUME command enables Mume local editing (actually, it is always enable at the client side, we only need to let Mume know we can do it).
Profiles automatically saved to and loaded from "profiles.cs".
The "keep input" option works. If set, the input line is kept and selected after pressing enter.
{Size 140%, Style Bi, Color #8080ff, Bullet 0}0.97d:
{Size 100%, Style bi, Color #c0c0c0, Bullet 1}
Find should work properly now.
The current character format is better kept on scroll-lock.
{Size 140%, Style Bi, Color #8080ff, Bullet 0}0.98:
{Size 100%, Style bi, Color #c0c0c0, Bullet 1}
Action part automatically filled in for existing bind keys when adding or editing a bind key the GUI way (Control+5/Alt+5).
New command SAVESESSION saves the entire content of the sessiong window to a file. This is useful if you forgot to log, but will save the session output rather than the actually received data (the results of substs, echoes etc. will be saved while logging saves only the raw input data from the server).
New command IF adds conditional execution, eg. "IF %@eval[%health<10] '|echo Ooops...'".
More consistent internal/external strings in lists and saved files (internally, special chars are constants in the lower ASCII range).
The telnet {Style B}echo{Style b} option is honored (by flipping the edit box password style).
Switched to DirectSound which means CS can play several waves simultanously. Also, each wave can be assigned it's own volume, pan and playback frequency.
Repeat command; |10 <command> executes <command> 10 times.
Added a few internal variables and variable functions. Internal variables are on the form %_<name>, variable functions on the form %@<name>[:<format>]<[arguments]>. At the momement they are:
{Bullet 1}Internal variables (prepend 'g' to time variables to get gmt):
{Bullet 1}
{Style B}%_host{Style b} - The current host
{Style B}%_port{Style b} - The current port
{Style B}%_[g]syear{Style b} - Current year, 2 digits
{Style B}%_[g]year{Style b} - Current year, 4 digits 
{Style B}%_[g]smonth{Style b} - Current month short name 
{Style B}%_[g]lmonth{Style b} - Current month long name 
{Style B}%_[g]month{Style b} - Current month, numeric 
{Style B}%_[g]woy{Style b} - Current week of year
{Style B}%_[g]day{Style b} - Current day of month 
{Style B}%_[g]sdow{Style b} - Current day of week short name
{Style B}%_[g]ldow{Style b} - Current day of week long name
{Style B}%_[g]dow{Style b} - Current day of week, numeric
{Style B}%_[g]doy{Style b} - Current day of year
{Style B}%_[g]hour{Style b} - Current hour - 24 hour format
{Style B}%_[g]hour12{Style b} - Current hour - 12 hour format
{Style B}%_[g]ampm{Style b} - Current am/pm indicator
{Style B}%_[g]minute{Style b} - Current minute
{Style B}%_[g]second{Style b} - Current second
{Style B}%_[g]msecond{Style b} - Current millisecond
{Style B}%_[g]sdate{Style b} - Current date, short format
{Style B}%_[g]date{Style b} - Current date, neutral format
{Style B}%_[g]ldate{Style b} - Current date, long format
{Style B}%_[g]stime{Style b} - Current time, short format
{Style B}%_[g]time{Style b} - Current time, neutral format
{Style B}%_[g]stime{Style b} - Current time, long format
{Style B}%_caption{Style b} - Current caption text
{Style B}%_status{Style b} - Current status text
{Style B}%_cwd{Style b} - Current directory
{Style B}%_cwds{Style b} - Current directory with a trailing '\'
{Style B}%_cwp{Style b} - Current path (current directory without a drive)
{Style B}%_cwps{Style b} - Current path with a traling '\'
{Style B}%_version{Style b} - The current CS version number
{Bullet 0}
{Bullet 0}
{Bullet 1}Variable functions:
{Bullet 1}
{Style B}%@eval[:format](<expression>){Style b} - Numerically evaluates <expression>. <expression> can contain variables, system variables and other functions. This is also the default function an can be accessed with %@[expr].
{Style B}%@yesno(<text>){Style b} - Prompt the user for a yes/no confirmation . returns 1 on Yes, -1 on No.
{Style B}%@okcancel(<text>){Style b} - Prompt the user for ok/cancel confirmation . returns 1 on Ok, 0 on Cancel;
{Style B}%@yesnocancel(<text>){Style b} - Prompt the user for yes/no/cancel confirmation . returns 1 on Yes, 0 on Cancel, -1 on No.
{Bullet 0}
{Bullet 0}
Decluttered the command name space by merging some commands. The changes are (old command --> new command):
{Style B, Bullet 1}
LIST commands:
{Style b, Bullet 1}
ADDLIST --> LIST ADD - Adds a new list (or clears an existing list)
LIST --> LIST FOCUS - Sets the current input focus to the named list
CLEARLIST --> LIST CLEAR - Clears the content of an existing list
SIZELIST --> LIST SIZE - Resizes and moves an existing list
SETLISTCOLS --> LIST SETCOLS - Sets the column names and number of columns in an existing list
SETLISTROW --> LIST SETROW - Adds a row or sets the content of an existing row
REMOVELISTROW --> LIST REMOVEROW - Removes a row
REMOVELIST --> LIST REMOVE - Removes the list
{Bullet 0}
{Bullet 0}
{Style B, Bullet 1}
NOTE commands:
{Style b, Bullet 1}
NOTE - NOTE FOCUS - Sets the current input focus to a note
ADDNOTE --> NOTE ADD - Adds a new note
PUTNOTE --> NOTE PUT - Adds a string to a note
CLEARNOTE --> NOTE CLEAR - Clears a note
LOADNOTE --> NOTE LOAD - Loads the contents of a file to a note
SAVENOTE --> NOTE SAVE - Saves the contents of a note to a file
GRABNOTE --> NOTE GRAB - Starts grabbing incoming data to a note
UNGRABNOTE --> NOTE UNGRAB - Stops grabbing incoming data to a note
SIZENOTE --> NOTE SIZE - Resizes and moves a note
REMOVENOTE --> NOTE REMOVE - Removes a note
SHOWNOTE --> NOTE SHOW - Shows the content of a note in the session window
ECHONOTE --> NOTE ECHO - Echoes the content of a note in the session window
SENDNOTE --> NOTE SEND - Sends the content of a note to the server
{Bullet 0}
{Bullet 0}
{Style B, Bullet 1}
FILE commands:
{Style b, Bullet 1}
SHOWFILE --> FILE SHOW - Shows the content of a file in the session window
ECHOFILE --> FILE ECHO - Echoes the content of a file in the session window
SENDFILE --> FILE SEND - Sends the content of a file to the server
GRABFILE --> FILE GRAB - Starts grabbing incoming data to a file
UNGRABFILE --> FILE UNGRAB - Stops grabbing incoming data
{Bullet 0}
{Bullet 0}
{Style B, Bullet 1}
TIMER commands:
{Style b, Bullet 1}
SETTIMER --> TIMER SET - Defines a new timer
STARTTIMER --> TIMER START - Starts a defined timer
PAUSETIMER --> TIMER PAUSE - Pauses a running timer
STOPTIMER --> TIMER STOP - Stops a running timer
KILLTIMER --> TIMER KILL - Kills (removes) a defined timer
{Bullet 0}
{Bullet 0}
{Style B, Bullet 1}
WAVE commands:
{Style b, Bullet 1}
LOADWAVE --> WAVE LOAD - Loads a wave into memory
PLAYWAVE --> WAVE PLAY - Plays a loaded wave
PAUSEWAVE --> WAVE PAUSE - Pauses a playing wave
STOPWAVE --> WAVE STOP - Stops a playing wave
UNLOADWAVE --> WAVE UNLOAD - Unloads (removes) a loaded wave
(new) --> WAVE CONTINUE - Continues to play a paused wave
(new) --> WAVE VOL - Sets the wave's volume (0=0 dB, -10000=-100 dB)
(new) --> WAVE PAN - Sets the wave's pan position (-10000=far left, +10000=far right)
(new) --> WAVE FREQ - Sets the wave's playback frequency
{Bullet 0}
{Bullet 0}
{Style B, Bullet 1}
MIDI commands:
{Style b, Bullet 1}
PLAYMIDI --> MIDI PLAY - Starts playing a midi file
STOPMIDI --> MIDI STOP - Stops playing the currently playing midi file
{Bullet 0}
{Bullet 0}
{Bullet 0}
{Size 140%, Style Bi, Color #8080ff, Bullet 0}0.98a:
{Size 100%, Style bi, Color #c0c0c0, Bullet 1}
Changed quote chars to delimiter chars '{' and '}'. You can also use 'hard' spaces (\ ) to prevent argument splitting.
CS now uses the richedit 2.0 common control. Riched20.dll is provided for those who haven't got it. Added support for some 2.0 format codes: bgcolor, script (super/sub-script) and weight.
New connections get their own threads, leaving CS responsive while connecting.
When in server mode, CS runs a {Style I}really{Style i} simple talk server.
