{WColor Black}
{Size 240%, Style BI, Color #ffffff, Indent 80}Echo
{Size 140%, Style Bi, Color #8080ff, Indent 240}Echoes given text

{Size 120%, Style BI, Color #e0e0a0, Indent  80}Syntax:
{Size 100%, Style Bi, Color #c0c0c0, Indent 240}
echo [string]

{Size 120%, Style BI, Color #e0a0e0, Indent  80}Description:
{Size 100%, Style bi, Color #c0c0c0, Indent 240}
Echoes the given text to the session window.
Echoed text is formatted according to the echo format setting defined in the setup.
A newline is added to the text

{Size 120%, Style BI, Color #e0a0a0, Indent  80}Remarks:
{Size 100%, Style bi, Color #c0c0c0, Indent 240}
ECHO is one of the few commands that doesn't care about the number of arguments given it. All text following the ECHO command is shown unchanged (you still need to backslash special characters) to the session window.
Use the SEND command to show non-colored, unformatted text and text without an appended newline.

{Size 120%, Style BI, Color #a0e0e0, Indent  80}Examples:
{Size 100%, Style bi, Color #c0c0c0, Indent 240}
{Color #ffffff, Style BI}ECHO Watch out!{Style bi, Color #c0c0c0}
Echoes "Watch out!" to the session window in the current echo format/color and appends a newline.

{Size 120%, Style BI, Color #80ff80, Indent  80}See also:
{Size 100%, Style bi, Color #c0c0c0, Bullet 1}
ECHOFILE
SHOW
SHOWFILE
{Bullet 0}
