{WColor Black}
{Size 240%, Style BI, Color #ffffff, Indent  80}CS Format Codes
{Size 100%, Style bi, Color #c0c0c0, Indent 240}
CS format codes consist of the escape character (ASCII 27) followed by one or more comma-separated format codes enclosed in curly braces. A format code has two parts; a name denoting the property to be set, and the that property will have. Codes and values are case-insensitive. If no value is given, the property is reset to the default value. Currently, the following codes are implemented:

{Size 140%, Style Bi, Color #8080ff}Global format codes:
{Size 100%, Style Bi, Color #c0c0c0, Bullet 1}
{Style B, Color #c0c040}BGColor{Style b, Color #c0c0c0} - Sets the windows background color. The color value is its name or a HTML-style RGB-value on the form #RRBBGG.
{Bullet 0}
{Size 140%, Style Bi, Color #8080ff}Paragraph format codes:
{Size 100%, Style Bi, Color #c0c0c0, Bullet 1}
{Style B, Color #c0c040}Align{Style b, Color #c0c0c0} - Sets the current paragraph alignment. Valid values are "Left", "Center" and "Right".
{Style B, Color #c0c040}Bullet{Style b, Color #c0c0c0} - Sets or removes the current bulleting. Valid values are 1 (increase bullet level) and 0 (decrease bullet level).
{Style B, Color #c0c040}Indent{Style b, Color #c0c0c0} - Sets the current paragraph indentation. Values can be given relatively (prepended by '+' or '-') or absolutely. The value is given in twips (1/1440 of an inch, or one 1/20 of a point).
{Style B, Color #c0c040}Offset{Style b, Color #c0c0c0} - Sets the current indentation level of the second and following lines in a paragraph. Values are relative to the current indentation.
{Bullet 0}
{Size 140%, Style Bi, Color #8080ff}Character format codes:
{Size 100%, Style Bi, Color #c0c0c0, Bullet 1}
{Style B, Color #c0c040}Color{Style b, Color #c0c0c0} - Sets the current text color.
{Style B, Color #c0c040}Font{Style b, Color #c0c0c0} - Sets the current font face.
{Style B, Color #c0c040}Size{Style b, Color #c0c0c0} - Sets the current font size. The value can be given in percentages or as absolute values. Absolute values is 10ths of a point.
{Style B, Color #c0c040}Style{Style b, Color #c0c0c0} -Sets the current text style. A 'style' is one or more of the characters B/b (enable/disable bold), I/i (enable/disable italics), U/u (enable/disable underline) and S/s (enable/disable strikeout).
{Style B, Color #c0c040}Super{Style b, Color #c0c0c0} - Sets the current text offset above the base line. Positive values raises the text, negative lowers the text. Units are given in twips.
{Bullet 0}
{Size 140%, Style Bi, Color #8080ff}Other codes:
{Size 100%, Style Bi, Color #c0c0c0, Bullet 1}
{Style B, Color #c0c040}Reset{Style b, Color #c0c0c0} - Resets the current format. RESET can have no arguments (resets everything), 'C' (resets the current character format), 'P' (resets the current paragraph format) or 'G' (resets global formats).
{Bullet 0}
